# Uses of Class
javassist.compiler.ast.Expr

Packages that use Expr
Package
Description
javassist.compiler.ast

## Uses of Expr in javassist.compiler.ast

Subclasses of Expr in javassist.compiler.ast
Modifier and Type
Class
Description
`class`
`AssignExpr`
Assignment expression.
`class`
`BinExpr`
Binary expression.
`class`
`CallExpr`
Method call expression.
Methods in javassist.compiler.ast that return Expr
Modifier and Type
Method
Description
`static Expr`
Expr.`make(int op, ASTree oprand1)`
`static Expr`
Expr.`make(int op, ASTree oprand1, ASTree oprand2)`
Methods in javassist.compiler.ast with parameters of type Expr
Modifier and Type
Method
Description
`void`
Visitor.`atExpr(Expr n)`